Bug 494751 - [RFE] Show qemu command
[RFE] Show qemu command
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 20:16 EDT by Joseph Shraibman
Modified: 2010-03-16 13:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 06:28:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2009-04-07 20:16:44 EDT
Description of problem:
After I run the new machine wizard (or startup a previously created vm) virt-manager runs launches qemu, but to see the exact command line it uses I have to use ps.  If there is some error that keeps qemu from starting there is no process hanging out for me run ps on.  virt-manager should at least put the command it runs in the log file.
Comment 1 Daniel Berrange 2009-04-08 06:28:04 EDT
virt-manager doesn't launch QEMU, or create its command line so there's nothing for it to log.  virt-manager uses libvirt and passes an XML description of the guest, which libvirt then turns into a command line. virt-manager already logs the XML description. libvirt itself will log the QEMU command line in /var/log/libvirt/qemu/$NAME.log  should you need to see what it ran

Note You need to log in before you can comment on or make changes to this bug.